Bug 620852 - Cannot activate cucumber: json dependency fails
Summary: Cannot activate cucumber: json dependency fails
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-cucumber   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 16:08 UTC by Mamoru TASAKA
Modified: 2010-08-24 01:14 UTC (History)
3 users (show)

Fixed In Version: rubygem-cucumber-0.8.5-5.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 01:14:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mamoru TASAKA 2010-08-03 16:08:34 UTC
Description of problem:
With:
rubygem-gherkin-2.1.5-3.fc14.i686
rubygem-cucumber-0.8.5-2.fc14.noarch
rubygem-json-1.4.3-2.fc14.i686

cucumber cannot be activated like:
mock-chroot> irb
irb(main):001:0> require "rubygems"
=> true
irb(main):002:0> require "cucumber"
Gem::LoadError: RubyGem version error: json(1.4.3 not ~> 1.1.9)

	from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:779:in `report_activate_error'
	from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:214:in `activate'
	from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:249:in `activate'
	from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `each'
	from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `activate'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:35:in `require'
	from (irb):2

Comment 1 Mamoru TASAKA 2010-08-03 16:09:42 UTC
Adding the actual submitter to CC.

Comment 2 Michal Fojtik 2010-08-04 08:03:52 UTC
I see. There was a patch for Rakefile, because rubygem-json-1.4.3 was not available in time I made a specfile. Fixing now.

Comment 3 Fedora Update System 2010-08-04 08:28:59 UTC
rubygem-cucumber-0.8.5-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-3.fc14

Comment 4 Mamoru TASAKA 2010-08-04 16:15:56 UTC
Seems good.

Comment 5 Fedora Update System 2010-08-05 08:38:39 UTC
rubygem-cucumber-0.8.5-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-3.fc13

Comment 6 Fedora Update System 2010-08-05 08:39:21 UTC
rubygem-cucumber-0.8.5-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-3.fc12

Comment 7 Michal Fojtik 2010-08-05 08:44:07 UTC
(In reply to comment #4)
> Seems good.    

Mamoru, could you please push rubygem-nokogiri to EL5/6 ? It's needed as a dependency for cucumber:

http://koji.fedoraproject.org/koji/getfile?taskID=2381015&name=root.log

[snip]
DEBUG util.py:255:  No Package Found for rubygem(nokogiri) >= 1.4.2
[/snip]

Comment 8 Mamoru TASAKA 2010-08-05 09:00:10 UTC
(In reply to comment #7)
> (In reply to comment #4)
> > Seems good.    
> 
> Mamoru, could you please push rubygem-nokogiri to EL5/6 ? It's needed as a
> dependency for cucumber:
> 
> http://koji.fedoraproject.org/koji/getfile?taskID=2381015&name=root.log
> 
> [snip]
> DEBUG util.py:255:  No Package Found for rubygem(nokogiri) >= 1.4.2
> [/snip]    

Well, the maintainer for EPEL branches is not me (generally I am
not interested in maintaining packages on EPEL). I guess it is better
that you open a RFE bug against rubygem-nokogiri on EPEL branches
if needed.

Comment 9 Michal Fojtik 2010-08-05 11:34:19 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #4)
> > > Seems good.    
> > 
> > Mamoru, could you please push rubygem-nokogiri to EL5/6 ? It's needed as a
> > dependency for cucumber:
> > 
> > http://koji.fedoraproject.org/koji/getfile?taskID=2381015&name=root.log
> > 
> > [snip]
> > DEBUG util.py:255:  No Package Found for rubygem(nokogiri) >= 1.4.2
> > [/snip]    
> 
> Well, the maintainer for EPEL branches is not me (generally I am
> not interested in maintaining packages on EPEL). I guess it is better
> that you open a RFE bug against rubygem-nokogiri on EPEL branches
> if needed.    

Thanks!

Comment 10 Fedora Update System 2010-08-11 13:00:51 UTC
rubygem-cucumber-0.8.5-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-4.fc14

Comment 11 Mamoru TASAKA 2010-08-11 13:14:31 UTC
Again F-14 json is already 1.4.3.

[root@localhost noarch]# rpm -q rubygem-json rubygem-cucumber
rubygem-json-1.4.3-2.fc14.i686
rubygem-cucumber-0.8.5-4.fc14.noarch
[root@localhost noarch]# irb
irb(main):001:0> require "rubygems"
=> true
irb(main):002:0> require "cucumber"
Gem::LoadError: RubyGem version error: json(1.4.3 not ~> 1.1.9)

        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:779:in `report_activate_error'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:214:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:249:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `each'
        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `activate'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:35:in `require'
        from (irb):2

Comment 12 Fedora Update System 2010-08-11 13:17:36 UTC
rubygem-cucumber-0.8.5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-4.fc12

Comment 13 Michal Fojtik 2010-08-11 13:25:54 UTC
(In reply to comment #11)
> Again F-14 json is already 1.4.3.
> 
> [root@localhost noarch]# rpm -q rubygem-json rubygem-cucumber
> rubygem-json-1.4.3-2.fc14.i686
> rubygem-cucumber-0.8.5-4.fc14.noarch
> [root@localhost noarch]# irb
> irb(main):001:0> require "rubygems"
> => true
> irb(main):002:0> require "cucumber"
> Gem::LoadError: RubyGem version error: json(1.4.3 not ~> 1.1.9)
> 
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:779:in
> `report_activate_error'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:214:in `activate'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:249:in `activate'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `each'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:248:in `activate'
>         from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:35:in
> `require'
>         from (irb):2 

Damn, this is going to be a nightmare ;-)
On F13, Jason reported that there is version 1.1.9 and this gem failed to activate it. I'll fix this on F14 and keep that patch for F13, until maintainer of rubygem-json push newer version.

Comment 14 Fedora Update System 2010-08-11 13:39:01 UTC
rubygem-cucumber-0.8.5-5.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-5.fc14

Comment 15 Fedora Update System 2010-08-12 04:05:49 UTC
rubygem-cucumber-0.8.5-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-cucumber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-4.fc12

Comment 16 Fedora Update System 2010-08-12 20:01:31 UTC
rubygem-cucumber-0.8.5-5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-cucumber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-cucumber-0.8.5-5.fc14

Comment 17 Fedora Update System 2010-08-24 01:14:20 UTC
rubygem-cucumber-0.8.5-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.